include tmp/common.conf

<Input in>
    Module      im_file
    File        'test2.log'
    ReadFromLast FALSE
    SavePos      FALSE
    Exec        delete($EventReceivedTime);
</Input>

<Extension _json>
    Module      xm_json
#    DateFormat YYYY-MM-DD hh:mm:ss
</Extension>

<Extension _syslog>
    Module      xm_syslog
</Extension>

<Extension python>
    Module      xm_python
    PythonCode  "modules/extension/python/py/processlogs2.py"
</Extension>

<Output out>
    Module      om_file
    File        'tmp/output'
    <Exec>
        # The $SeverityValue field is added by this procedure.
        # Most other parsers also add a normalized severity value.
        parse_syslog();

        # Add a counter for each event with log level above DEBUG.
        python_call('add_counter');

        # Calculate a checksum (after the counter field is added).
        python_call('add_checksum');

        # Convert to JSON format
        to_json();
    </Exec>
</Output>

<Route python2>
    Path    in => out
</Route>
